<?PHP
/*********************************************************/
/* Diverses fonctions pour les listes affichées dans SMI */
/*********************************************************/

// Création des titres (th) des listes écrans

function titlst($interv,$tableau)
{
	foreach ($tableau as $nom_col => $code_champ)
	{
		echo "<th>";
		$urltria = $_SERVER["PHP_SELF"]."?search=".$_GET["search"]."&rech=".$_GET["rech"]."&ord=ASC&tri=".$nom_col;
		$urltrid = $_SERVER["PHP_SELF"]."?search=".$_GET["search"]."&rech=".$_GET["rech"]."&ord=DES&tri=".$nom_col;

		$urltria .= "&ta=".@$_GET['ta']; // Ajout de 'ta'
		$urltrid .= "&ta=".@$_GET['ta']; // Ajout de 'ta'
		
		$urltria .= "&td=".@$_GET['td']; // Ajout de 'td'
		$urltrid .= "&td=".@$_GET['td']; // Ajout de 'td'

		if ($interv == TRUE) // Ces compléments ne sont nécessaires que pour les listes rattachées à une intervention
		{
			$urltria .= "&cc=".@$_GET['cc']; // Ajout de 'cc'
			$urltrid .= "&cc=".@$_GET['cc']; // Ajout de 'cc'
	
			$urltria .= "&ct=".@$_GET['ct']; // Ajout de 'ct'
			$urltrid .= "&ct=".@$_GET['ct']; // Ajout de 'ct'
	
			$urltria .= "&cte=".@$_GET['cte']; // Ajout de 'cte'
			$urltrid .= "&cte=".@$_GET['cte']; // Ajout de 'cte'
	
			$urltria .= "&ci=".@$_GET['ci']; // Ajout de 'ci'
			$urltrid .= "&ci=".@$_GET['ci']; // Ajout de 'ci'
	
			$urltria .= "&cx=".@$_GET['cx']; // Ajout de 'cx'
			$urltrid .= "&cx=".@$_GET['cx']; // Ajout de 'cx'
	
			$urltria .= "&ca=".@$_GET['ca']; // Ajout de 'ca'
			$urltrid .= "&ca=".@$_GET['ca']; // Ajout de 'ca'
		}
		
		echo "<a href=\"$urltria\"><img src=\"../img/dn.gif\" title=\"Tri Ascendant sur '".ucfirst("$nom_col")."'\" width=\"16\" height=\"16\" border=\"0\" align=\"absmiddle\"></a>\n";
		echo " ".ucfirst("$nom_col")." ";
		echo "<a href=\"$urltrid\"><img src=\"../img/up.gif\" title=\"Tri Descendant sur '".ucfirst("$nom_col")."'\" width=\"16\" height=\"16\" border=\"0\" align=\"absmiddle\"></a>\n";
		echo "</th>\n";
	}
}

// Création des lignes TR des listes écrans
// avec effet au passage de la souris

function creetrlst($index)
{
		// Couleurs alternées
		if($index%2 == 0)  
		   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Limegreen'\" class=\"TRalter1\">\n";
		else
		   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='Lime'\" class=\"TRalter2\">\n";
}

// Création des lignes TR des listes écrans (détails)
// avec effet au passage de la souris

function creetrlstdet($index)
{
		// Couleurs alternées
		if($index%2 == 0)  
		   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='#999999'\" class=\"TRalter1D\">\n";
		else
		   echo "<tr onmouseover=\"this.style.backgroundColor='Whitesmoke'\" onmouseout=\"this.style.backgroundColor='#CCCCCC'\" class=\"TRalter2D\">\n";
}

// Retour Page Précédente si liste vide

function retpp()
{
	 echo "<span class=\"annot_std__gras\">Aucun enregistrement trouvé</span><br>";
	 echo "<br>";
	 echo "<a href=\"javascript:history.back();\">";
	 echo "<img src=\"../img/prec.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\">";
	 echo "[<< Retour à la page précédente]";
	 echo "</a>";
}

/*********************************************************/
/* Diverses fonctions pour les listes imprimées dans SMI */
/*********************************************************/

//	Entête des impressions des listes

function entimplst($titre)
{
	echo "<p align=\"center\"><span class=\"titre_impression\">$titre</span></p>";
	echo "<span class=\"annot_petit_it\">";
	echo "Imprimée le : ";
	echo "</span>";
	echo "<span class=\"annot_gras_it\">";
	echo date("d-m-Y H:i:s")."<br>";
	echo "</span>";
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		echo "<span class=\"annot_petit_it\">";
		echo "Filtrée sur : ";
		echo "</span>";
		echo "<span class=\"annot_gras_it\">";
		echo $_GET['search'];
		echo "</span>";
		echo "<span class=\"annot_petit_it\">";
		echo ". ";
		echo "</span>";
	}
	if( isset($_GET['tri']) && !empty($_GET['tri']))  
	{
		echo "<span class=\"annot_petit_it\">";
		echo "Triée par : ";
		echo "</span>";
		echo "<span class=\"annot_gras_it\">";
		echo $_GET['tri'];
		echo "</span>";
		echo "<span class=\"annot_petit_it\">";
		if ((@$_GET['ord'] == "ASC") OR (@$_GET['ord'] == ""))
		{
			echo " (";
			echo "</span>";
			echo "<span class=\"annot_gras_it\">";
			echo "Ascendant";
			echo "</span>";
			echo "<span class=\"annot_petit_it\">";
			echo ").";
		}
		else
		{
			echo " (";
			echo "</span>";
			echo "<span class=\"annot_gras_it\">";
			echo "Descendant";
			echo "</span>";
			echo "<span class=\"annot_petit_it\">";
			echo ").";
		}
		echo "</span>";
	}
	if ((@$_GET['search'] <> "") OR (@$_GET['ord'] <> ""))
	{
		echo "<br>";
	}
}

// Création des titres (th) des listes ou fiches imprimées

function titimplst($tableau)
{
	foreach ($tableau as $nom_col => $code_champ)
	{
		echo "<th>";
		echo ucfirst("$nom_col");
		echo "</th>\n";
	}
}

/***************************************************************/
/* Diverses fonctions pour les traitements des listes dans SMI */
/***************************************************************/

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des logs **/

function cree_strrechlstlog()
{
	$rech ="";

	$rech = "SELECT * FROM " .TBLOG;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// WHERE existe ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " log_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " log_date LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " log_heure LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " log_urlprec LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " log_url LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " log_ip LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des agences **/

function cree_strrechlstage()
{
	$rech ="";

	$rech = "SELECT * FROM " .TBAGE;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// WHERE existe ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " age_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " age_nom LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " age_telf LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " age_ville LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " age_zone LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " age_email LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des catégories agences **/

function cree_strrechlstacat()
{
	$rech = "SELECT * FROM " .TBACAT;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " acat_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " acat_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des catégories clients **/

function cree_strrechlstcat()
{
	$rech = "SELECT * FROM " .TBCCAT;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " cat_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " cat_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des civilités **/

function cree_strrechlstciv()
{
	$rech = "SELECT * FROM " .TBCIV;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " civ_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " civ_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des clients **/

function cree_strrechlstcli()
{
	$rech = "SELECT 
				cli_prop,
				cli_code,
				cli_ste,
				cli_civilite,
				cli_prenom,
				cli_nom,
				cli_dep,
				cli_telf,
				cli_telp,
				cli_email,
				cli_cpta
			 FROM ".TBCLI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " cli_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " cli_ste LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " cli_civilite LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " cli_prenom LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " cli_nom LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " cli_telf LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " cli_telp LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " cli_email LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des contrats types **/

function cree_strrechlstco()
{
	$rech = "SELECT * FROM ".TBCO;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " co_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " co_nom LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " co_desc LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " co_cgv LIKE '%".addslashes($_GET['search'])."%' OR";
		 $search = ucwords(strtolower($_GET['search']));
		 if (($search == "Actif") OR ($search == "Inactif"))
		 {
		 	if ($search == "Actif")
			{
				$rech .= " co_actif = '1' OR";
			}
			else
			{
				$rech .= " co_actif = '0' OR";
			}
		 }
	
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des contrats clients **/

function cree_strrechlstcocl()
{
	$rech = "SELECT ".TBCOCL.".cocl_code, ".TBCOCL.".cocl_codeco, ".TBCOCL.".cocl_codeage, ".TBCOCL.".cocl_codecli, ".TBCOCL.".cocl_datecrea, ";
	$rech.= TBCOCL.".cocl_datesig, ".TBCOCL.".cocl_dated, ".TBCOCL.".cocl_datef, ".TBCOCL.".cocl_datefin, ".TBCOCL.".cocl_daterel, ";
	$rech.= TBCOCL.".cocl_renouv, ".TBCOCL.".cocl_rnum, ".TBCLI.".cli_ste, ".TBCLI.".cli_civilite, ".TBCLI.".cli_nom ";
	$rech.= "FROM ".TBCOCL.", ".TBCLI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBCOCL.".cocl_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCOCL.".cocl_codeco LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCOCL.".cocl_codecli LIKE '%".addslashes($_GET['search'])."%' OR";
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_datecrea LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_datesig LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_dated LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_datef LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_datefin LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_daterel LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $search = ucwords(strtolower($_GET['search']));
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " ".TBCOCL.".cocl_renouv = '1' OR";
			}
			else
			{
				$rech .= " ".TBCOCL.".cocl_renouv = '0' OR";
			}
		 }
		 $rech .= " ".TBCOCL.".cocl_rnum LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_ste LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_civilite LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_nom LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBCOCL.".cocl_codecli=".TBCLI.".cli_code";
	else
		$rech .= " AND ".TBCOCL.".cocl_codecli=".TBCLI.".cli_code";
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des contrats clients (pour l'affichage clients) **/

function cree_strrechlstcoclc()
{
	$rech = "SELECT cocl_code, cocl_datecrea, cocl_datesig,";
	$rech.= "cocl_dated, cocl_datef, cocl_daterel, cocl_datefin, cocl_renouv, cocl_rnum ";
	$rech.= "FROM ".TBCOCL;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBCOCL.".cocl_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_datecrea LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_datesig LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_dated LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_datef LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_daterel LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_datefin LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $search = ucwords(strtolower($_GET['search']));
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " ".TBCOCL.".cocl_renouv = '1' OR";
			}
			else
			{
				$rech .= " ".TBCOCL.".cocl_renouv = '0' OR";
			}
		 }
		 $rech .= " ".TBCOCL.".cocl_rnum LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des historiques interventions sur contrats **/

function cree_strrechlstcoclh()
{
	$rech = "SELECT ".TBINT.".int_code, ".TBINT.".int_datedde, ".TBINT.".int_codecli, ".TBINT.".int_codecocl, ";
	$rech.= TBINT.".int_codeage, ".TBINT.".int_daterdv, ".TBINT.".int_durees, ".TBINT.".int_codestatut, ";
	$rech.= TBINT.".int_datefin, ".TBCOCLH.".coclh_codecli, ".TBCOCLH.".coclh_codecocl, ".TBCOCLH.".coclh_codeint ";
	$rech.= "FROM ".TBINT.", ".TBCOCLH;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		 $rech .= " WHERE ".TBINT.".int_codecocl = '".addslashes($_GET['search'])."'";
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBINT.".int_code = ".TBCOCLH.".coclh_codeint";
	else
		$rech .= " AND ".TBINT.".int_code = ".TBCOCLH.".coclh_codeint";
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des relances contrats clients **/

function cree_strrechlstcoclr()
{
	$rech = "SELECT ".TBCOCL.".cocl_code, ".TBCOCL.".cocl_codeco, ".TBCOCL.".cocl_codecli, ".TBCOCL.".cocl_datecrea, ".TBCOCL.".cocl_daterec, ".TBCOCL.".cocl_dated, ";
	$rech.= TBCOCL.".cocl_datef, ".TBCOCL.".cocl_preavis, ".TBCOCL.".cocl_datefin, ".TBCOCL.".cocl_daterel, ";
	$rech.= TBCOCL.".cocl_nivrel, ".TBCOCL.".cocl_renouv, ".TBCLI.".cli_ste, ".TBCLI.".cli_civilite, ".TBCLI.".cli_nom ";
	$rech.= "FROM ".TBCOCL.", ".TBCLI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBCOCL.".cocl_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCOCL.".cocl_codecli LIKE '%".addslashes($_GET['search'])."%' OR";
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_datecrea LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_dated LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_datef LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBCOCL.".cocl_daterel LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ".TBCOCL.".cocl_nivrel LIKE '%".addslashes($daterech)."%' OR";
		 $rech .= " ".TBCLI.".cli_ste LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_civilite LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_nom LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
 	// ne pas rechercher les contrats clôts
 	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBCOCL.".cocl_datefin = '0000-00-00'";
	else
		$rech .= " AND ".TBCOCL.".cocl_datefin = '0000-00-00'";
	// ne pas rechercher les contrats déjà renouvelés
 	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBCOCL.".cocl_renouv = '0'";
	else
		$rech .= " AND ".TBCOCL.".cocl_renouv = '0'";
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBCOCL.".cocl_codecli=".TBCLI.".cli_code";
	else
		$rech .= " AND ".TBCOCL.".cocl_codecli=".TBCLI.".cli_code";
	// *** Fin de Recherche
	
	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des catégories de demandeurs **/

function cree_strrechlstddec()
{
	$rech = "SELECT * FROM " .TBDDEC;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " ddec_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ddec_desc LIKE '%".addslashes($_GET['search'])."%' OR";
		 $search = ucwords(strtolower($_GET['search']));
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " ddec_pub = '1' OR";
			}
			else
			{
				$rech .= " ddec_pub = '0' OR";
			}
		 }
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}


/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des destinataires des demandes**/

function cree_strrechlstdded()
{
	$rech = "SELECT * FROM " .TBDDED;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " dded_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " dded_desc LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " dded_email LIKE '%".addslashes($_GET['search'])."%' OR";
		 $search = ucwords(strtolower($_GET['search']));
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " dded_pub = '1' OR";
			}
			else
			{
				$rech .= " dded_pub = '0' OR";
			}
		 }
		 $search = ucwords(strtolower($_GET['search']));
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " dded_cli = '1' OR";
			}
			else
			{
				$rech .= " dded_cli = '0' OR";
			}
		 }
		 $search = ucwords(strtolower($_GET['search']));
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " dded_age = '1' OR";
			}
			else
			{
				$rech .= " dded_age = '0' OR";
			}
		 }
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " dded_tec = '1' OR";
			}
			else
			{
				$rech .= " dded_tec = '0' OR";
			}
		 }
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " dded_ope = '1' OR";
			}
			else
			{
				$rech .= " dded_ope = '0' OR";
			}
		 }
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des types de demandes **/

function cree_strrechlstddet()
{
	$rech = "SELECT * FROM " .TBDDET;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " ddet_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ddet_desc LIKE '%".addslashes($_GET['search'])."%' OR";
		 $search = ucwords(strtolower($_GET['search']));
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " ddet_pub = '1' OR";
			}
			else
			{
				$rech .= " ddet_pub = '0' OR";
			}
		 }
		 $search = ucwords(strtolower($_GET['search']));
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " ddet_cli = '1' OR";
			}
			else
			{
				$rech .= " ddet_cli = '0' OR";
			}
		 }
		 $search = ucwords(strtolower($_GET['search']));
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " ddet_age = '1' OR";
			}
			else
			{
				$rech .= " ddet_age = '0' OR";
			}
		 }
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " ddet_tec = '1' OR";
			}
			else
			{
				$rech .= " ddet_tec = '0' OR";
			}
		 }
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " ddet_ope = '1' OR";
			}
			else
			{
				$rech .= " ddet_ope = '0' OR";
			}
		 }
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des familles **/

function cree_strrechlstfam()
{
	$rech = "SELECT * FROM " .TBFAM;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " fam_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " fam_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des interventions **/

function cree_strrechlstint($tableau)
{
	$rech = "SELECT ".TBINT.".int_code, ".TBINT.".int_datedde, ".TBINT.".int_codeage, ".TBINT.".int_codecli, ";
	$rech.= TBINT.".int_urg, ".TBINT.".int_codetec, ".TBINT.".int_codestatut, ";
	$rech.= TBCLI.".cli_ste, ".TBCLI.".cli_civilite, ".TBCLI.".cli_nom ";
	$rech.= "FROM ".TBINT.", ".TBCLI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBINT.".int_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBINT.".int_datedde LIKE '%".addslashes($daterech)."%' OR";
		 }
		 foreach ($tableau as $index => $urgence)
		 {
		 	if (strip_tags(trim($_GET['search'])) == $urgence)
		 		$rech .= " ".TBINT.".int_urg LIKE '%".$index."%' OR";
		 }
		 $rech .= " ".TBINT.".int_codecli LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBINT.".int_codetec LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBINT.".int_codestatut LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_ste LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_civilite LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_nom LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBINT.".int_codecli=".TBCLI.".cli_code";
	else
		$rech .= " AND ".TBINT.".int_codecli=".TBCLI.".cli_code";
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des interventions pour les clients**/

function cree_strrechlstintc()
{
	$rech = "SELECT int_code, int_datedde, ";
	$rech.= "int_codeage, int_codetec, int_codestatut ";
	$rech.= "FROM ".TBINT;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBINT.".int_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBINT.".int_datedde LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ".TBINT.".int_codeage LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBINT.".int_codetec LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBINT.".int_codestatut LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des lieux **/

function cree_strrechlstlieu()
{
	$rech = "SELECT * FROM " .TBLIEU;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " lieu_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " lieu_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des opérateurs **/

function cree_strrechlstope()
{
	$rech = "SELECT 
				ope_congd,
				ope_congf,
				ope_code,
				ope_prenom,
				ope_nom,
				ope_dep,
				ope_telf,
				ope_telp,
				ope_out,
				ope_dateout
			 FROM ".TBOPE;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ope_congd LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ope_congf LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ope_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ope_prenom LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ope_nom LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ope_telf LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ope_telp LIKE '%".addslashes($_GET['search'])."%' OR";
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ope_dateout LIKE '%".addslashes($daterech)."%' OR";
		 }
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche	

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des origines **/

function cree_strrechlstori()
{
	$rech = "SELECT * FROM " .TBORI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " orig_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " orig_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des périodicités **/

function cree_strrechlstper()
{
	$rech = "SELECT * FROM " .TBPER;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " cope_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " cope_desc LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " cope_nbj LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des produits **/

function cree_strrechlstrpdt()
{
	$rech = "SELECT * FROM " .TBPDT;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " pdt_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " pdt_fam LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " pdt_des LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " pdt_detail LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " pdt_puttc LIKE '%".addslashes($_GET['search'])."%' OR";
		 $search = ucwords(strtolower($_GET['search']));
		 if (($search == "Oui") OR ($search == "Non"))
		 {
		 	if ($search == "Oui")
			{
				$rech .= " pdt_vendu = '1' OR";
			}
			else
			{
				$rech .= " pdt_vendu = '0' OR";
			}
		 }
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des historiques produits par intervention **/

function cree_strrechlstpdtih()
{
	$rech = "SELECT ".TBPDTI.".pdti_codepdt, ".TBPDTI.".pdti_codeint, ".TBPDTI.".pdti_qte, ".TBPDTI.".pdti_puttc, ".TBPDTI.".pdti_ns, ";
	$rech.= TBINT.".int_code, ".TBINT.".int_codecli, ".TBINT.".int_datedde, ".TBINT.".int_datefin, ".TBINT.".int_codestatut, ";
	$rech.= TBPDT.".pdt_code, ".TBPDT.".pdt_des, ";
	$rech.= TBCLI.".cli_code, ".TBCLI.".cli_ste, ".TBCLI.".cli_civilite, ".TBCLI.".cli_nom ";
	$rech.= "FROM ".TBPDTI.", ".TBINT.", ".TBPDT.", ".TBCLI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " ".TBPDTI.".pdti_codepdt LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBPDTI.".pdti_codeint LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBPDTI.".pdti_qte LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBPDTI.".pdti_puttc LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBPDTI.".pdti_ns LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBINT.".int_codecli LIKE '%".addslashes($_GET['search'])."%' OR";
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBINT.".int_datedde LIKE '%".addslashes($daterech)."%' OR";
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBINT.".int_datefin LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ".TBPDT.".pdt_des LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_ste LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_civilite LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_nom LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBPDTI.".pdti_codeint=".TBINT.".int_code";
	else
		$rech .= " AND ".TBPDTI.".pdti_codeint=".TBINT.".int_code";
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBPDTI.".pdti_codepdt=".TBPDT.".pdt_code";
	else
		$rech .= " AND ".TBPDTI.".pdti_codepdt=".TBPDT.".pdt_code";
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBINT.".int_codecli=".TBCLI.".cli_code";
	else
		$rech .= " AND ".TBINT.".int_codecli=".TBCLI.".cli_code";
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des règlements **/

function cree_strrechlstreg()
{
	$rech = "SELECT * FROM " .TBREG;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " reg_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " reg_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des statuts **/

function cree_strrechlststa()
{
	$rech = "SELECT * FROM " .TBSTA;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " statut_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " statut_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des techniciens **/

function cree_strrechlsttec()
{
	$rech = "SELECT 
				tec_congd,
				tec_congf,
				tec_codeage,
				tec_code,
				tec_prenom,
				tec_nom,
				tec_dep,
				tec_telf,
				tec_telp,
				tec_email,
				tec_out,
				tec_dateout
			 FROM ".TBTEC;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " tec_congd LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " tec_congf LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " tec_codeage LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " tec_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " tec_prenom LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " tec_nom LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " tec_telf LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " tec_telp LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " tec_email LIKE '%".addslashes($_GET['search'])."%' OR";
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " tec_dateout LIKE '%".addslashes($daterech)."%' OR";
		 }
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des textes types **/

function cree_strrechlsttxt()
{
	$rech = "SELECT * FROM ".TBTXT;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " txt_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " txt_entete LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " txt_desc LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " txt_texte LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des catégories matériels pour les relevés **/

function cree_strrechlstrrpcat()
{
	$rech = "SELECT * FROM " .TBRPCAT;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " rpcat_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " rpcat_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des états pour les relevés **/

function cree_strrechlstrrpet()
{
	$rech = "SELECT * FROM " .TBRPET;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " rpet_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " rpet_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des marques pour les relevés **/

function cree_strrechlstrrlpma()
{
	$rech = "SELECT * FROM " .TBRLPMA;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " rlpma_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " rlpma_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des relevés **/

function cree_strrechlstrrel()
{
	$rech = "SELECT ".TBREL.".rel_code, ".TBREL.".rel_datecrea, ".TBREL.".rel_datemod, ".TBREL.".rel_codecli, ".TBREL.".rel_codeage, ";
	$rech.= TBCLI.".cli_ste, ".TBCLI.".cli_civilite, ".TBCLI.".cli_nom ";
	$rech.= "FROM ".TBREL.", ".TBCLI;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= TBREL.".rel_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBREL.".rel_datecrea LIKE '%".addslashes($daterech)."%' OR";
		 }
		 if (datefrcorrecte($_GET['search']) == TRUE)
		 {
		 	 $daterech = datefrang($_GET['search']);
			 $rech .= " ".TBREL.".rel_datemod LIKE '%".addslashes($daterech)."%' OR";
		 }
		 $rech .= " ".TBREL.".rel_codecli LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBREL.".rlel_codeage LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_ste LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_civilite LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " ".TBCLI.".cli_nom LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	if(!stristr($rech,"WHERE "))
		$rech .= " WHERE ".TBREL.".rel_codecli=".TBCLI.".cli_code";
	else
		$rech .= " AND ".TBREL.".rel_codecli=".TBCLI.".cli_code";
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des types de licences pour les relevés **/

function cree_strrechlstrrltl()
{
	$rech = "SELECT * FROM " .TBRLTL;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " rltl_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " rltl_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

/** fonction de création de la chaîne de recherche 
    des listes écrans et impressions des types de médias pour les relevés **/

function cree_strrechlstrrlmed()
{
	$rech = "SELECT * FROM " .TBRLMED;
 
	// *** Recherche
	if( isset($_GET['search']) && !empty($_GET['search']))  
	{
		// Trouvé ?
		if(!stristr($rech,"WHERE "))
		 $rech .= " WHERE (";
		else
		 $rech .= " AND (";
			
		// Construction de la chaîne de recherche
		 $rech .= " rlmed_code LIKE '%".addslashes($_GET['search'])."%' OR";
		 $rech .= " rlmed_desc LIKE '%".addslashes($_GET['search'])."%' OR";
	
		// Suppression du dernier 'OR'
		$rech = substr($rech,0,strlen($rech)-3);
		$rech .= ")";
	}
	// *** Fin de Recherche

	return $rech;
}

// Récupération des variables "tri" et "ord" pour la création de la chaîne de recherche
// Si $inc_limit est vraie, Ajout de "LIMIT" à la requête MySQL

function crestr_triord($tableau,$clefdefaut,$inc_limit,$val_limit)
{
	if (@$_GET['tri'] <> "")
	{
		if ((@$_GET['ord'] == "ASC") OR (@$_GET['ord'] == ""))
			$complement_rech =" ORDER BY '".$tableau[$_GET['tri']]."'";
		if (@$_GET["ord"] == "DES")
			$complement_rech =" ORDER BY '".$tableau[$_GET['tri']]."' DESC";
	}
	else
	{
		$complement_rech =" ORDER BY '".$clefdefaut."'";
	}
	if ($inc_limit == TRUE)
		$complement_rech .= " LIMIT ".$_GET['page'].", $val_limit"; // Ajout de LIMIT
		
	return $complement_rech;	
}

?> 
